<?
/*********************************************************************************************************
 This code is part of the GuestBook software (www.gerd-tentler.de/tools/guestbook), copyright by
 Gerd Tentler. Obtain permission before selling this code or hosting it on a commercial website or
 redistributing it over the Internet or in any other medium. In all cases copyright must remain intact.
*********************************************************************************************************/

//////////////////////////////////////////////////////////////////////////////////////////////////////////
// This is the optional configuration file for OFFLINE TESTING
//////////////////////////////////////////////////////////////////////////////////////////////////////////

//========================================================================================================
// Database settings
//========================================================================================================

  $db_server = "localhost";      // server name
  $db_user = "root";             // user name
  $db_pass = "";                 // user password
  $db_name = "";                 // database name

  // don't change unless you know what you're doing:
  $tbl_name = "Guestbook";       // table name
  $fld_id = "ID";                // field name: ID
  $fld_timestamp = "Timestamp";  // field name: timestamp
  $fld_name = "Name";            // field name: name
  $fld_email = "EMail";          // field name: e-mail
  $fld_subject = "Subject";      // field name: subject
  $fld_text = "Text";            // field name: text

//========================================================================================================
// Other settings
//========================================================================================================

  // guestbook language: da, de, en, es, fi, fr, hu, it, nl, pt-BR, sv
  $language = "en";

  // administrator password (can delete entries; needs PHP >= 4.1.0)
  $adminPass = "GuBoAd1";

  // guestbook title
  $bookTitle = "My Guestbook";

  // guestbook width (pixels)
  $bookWidth = 650;

  // guestbook align (left / center / right)
  $bookAlign = "center";

  // maximum entries in guestbook (0 = no limit)
  $maxEntries = 0;

  // number of entries per page
  $pageEntries = 5;

  // message order: ASC (new at bottom) or DESC (new on top)
  $messageOrder = "DESC";

  // maximum word length (0 = no limit)
  // NOTE: should be 0 for non-European languages (Asian, Arabic, etc.)
  $wordLength = 50;

  // maximum text length (0 = no limit)
  $textLength = 3000;

  // allow URLs (true = yes, false = no)
  $allowURLs = false;

  // allow HTML tags (true = yes, false = no)
  $allowHTML = false;

  // allow UBB codes (true = yes, false = no)
  $allowUBBs = true;

  // enable message IDs against spam bots (true = yes, false = no; needs PHP >= 4.1.0)
  $enableIDs = true;

  // enable message signature against spam bots (true = yes, false = no; needs PHP >= 4.1.0)
  $enableSignature = true;

  // enable link check against spam bots (true = yes, false = no)
  // NOTE: works only if $allowURLs is false
  $enableLinkCheck = true;

  // enable referer check against spam bots (true = yes, false = no)
  // NOTE: if enabled, browsers that don't transmit referer will be mistaken for spam bots
  $enableRefererCheck = true;

  // enable user agent check against spam bots (true = yes, false = no)
  // NOTE: if enabled, some browsers might be mistaken for spam bots
  $enableAgentCheck = true;

  // valid user agents; don't change unless you know what you're doing
  $agents = array("Mozilla", "Opera", "Lynx", "Mosaic", "amaya", "WebExplorer", "IBrowse", "iCab");

  // bad words
  $nonos = array("fuck", "asshole");

  // send e-mail to this address for each new entry (leave empty to disable e-mail notification)
  $mailNotify = "";

//========================================================================================================
?>